Skip to main content

Update Share

PATCH /v1/shares/{share_id}

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
share_idpathstringYes
X-API-Keyheaderstring | nullNonullable

Request Body

Required: Yes

application/json

Resolved schema:

{
"properties": {
"is_public": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "Is Public"
},
"revoke": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "Revoke"
}
},
"type": "object",
"title": "ShareUpdateRequest"
}

Field details:

FieldTypeRequiredDescriptionConstraints
is_publicboolean | nullNonullable
revokeboolean | nullNonullable

Responses

200

Successful Response

application/json

Resolved schema:

{}

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo